mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Serialization.ISurrogateSelector System.Runtime.InteropServices.ComVisible(true)

A surrogate is an object that can handle the serialization requirements of an object. Remoting surrogates handle remoting serialization requirements of objects that derive from . The manages registered surrogates for use by the and .

During serialization for remoting purposes of a , the remoting surrogate creates an that contains all the relevant information required to activate and communicate with the remote object. The newly created can then be sent to a remote location and used to create a proxy.

This class makes a link demand and an inheritance demand at the class level. A is thrown when either the immediate caller or the derived class does not have infrastructure permission. For details about security demands, see [<topic://cpconLinkDemands>] and [<topic://cpconInheritanceDemands>].

Selects the remoting surrogate that can be used to serialize an object that derives from a .

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Remoting surrogates are arranged in chains that are attached to an instance of the . Each chain contains the remoting surrogates that the surrogate selector checks to find a compatible surrogate for a given object type. The current method adds a new remoting surrogate selector to the surrogate chain that is examined for compatible surrogates.

  Adds the specified to the surrogate selector chain.

  The next to examine.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Messaging.MessageSurrogateFilter To be added. To be added.

  Gets or sets the delegate for the current instance of the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.ISurrogateSelector To be added

  Returns the next in the chain of surrogate selectors.

  The next in the chain of surrogate selectors.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added

  Returns the object at the root of the object graph.

  The object at the root of the object graph.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.ISerializationSurrogate `` `` `` To be added: an object of type 'Type' To be added: an object of type 'Runtime.Serialization.StreamingContext' To be added: an object of type 'Runtime.Serialization.ISurrogateSelector&' To be added To be added: an object of type 'Runtime.Serialization.ISerializationSurrogate' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Sets the object at the root of the object graph.

  The object at the root of the object graph.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The current method is used with the SOAP formatter sinks.

  Sets up the current surrogate selector to use the SOAP format.